JUCE: osc

JUCE

- Main Page
- Related Pages
- Modules
- Classes
- Files

Loading...
Searching...
No Matches
Classes | Typedefs | Functions
osc
juce_osc

## Classes
class | OSCAddress
| An OSC address. More...
class | OSCAddressPattern
| An OSC address pattern. More...
class | OSCArgument
| An OSC argument. More...
class | OSCBundle
| An OSC bundle. More...
class | OSCBundle::Element
| An OSC bundle element. More...
class | OSCMessage
| An OSC Message. More...
class | OSCReceiver
| A class for receiving OSC data. More...
class | OSCReceiver::Listener< CallbackType >
| A class for receiving OSC data from an OSCReceiver. More...
class | OSCReceiver::ListenerWithOSCAddress< CallbackType >
| A class for receiving only those OSC messages from an OSCReceiver that match a given OSC address. More...
class | OSCSender
| An OSC message sender. More...
class | OSCTimeTag
| An OSC time tag. More...
class | OSCTypes
| The definitions of supported OSC types and their associated OSC type tags, as defined in the OpenSoundControl 1.0 specification. More...
struct | OSCColour
| Holds a 32-bit RGBA colour for passing to and from an OSCArgument. More...
struct | OSCException
| Base class for exceptions that can be thrown by methods in the OSC module. More...
struct | OSCFormatError
| Exception type thrown when the OSC module fails to parse something because of a data format not compatible with the OpenSoundControl 1.0 specification. More...
struct | OSCInternalError
| Exception type thrown in cases of unexpected errors in the OSC module. More...

## Typedefs
using | OSCType = char
| The type used for OSC type tags.
using | OSCTypeList = Array< OSCType >
| The type used for OSC type tag strings.

## Functions
template<typename Arg1 , typename... Args>
| OSCMessage::OSCMessage (const OSCAddressPattern &ap, Arg1 &&arg1, Args &&... args)
| Constructs an OSCMessage object with the given address pattern and list of arguments.
template<typename... Args>
bool | OSCSender::send (const OSCAddressPattern &address, Args &&... args)
| Creates a new OSC message with the specified address pattern and list of arguments, and sends it to the target.
template<typename... Args>
bool | OSCSender::sendToIPAddress (const String &targetIPAddress, int targetPortNumber, const OSCAddressPattern &address, Args &&... args)
| Creates a new OSC message with the specified address pattern and list of arguments, and sends it to the target.

## Detailed Description

## Typedef Documentation

## ◆ OSCType

using OSCType = char

The type used for OSC type tags.

## ◆ OSCTypeList

using OSCTypeList = Array<OSCType>

The type used for OSC type tag strings.

## Function Documentation

## ◆ OSCMessage()

template<typename Arg1 , typename... Args>

OSCMessage::OSCMessage | ( | const OSCAddressPattern & | ap,
|  | Arg1 && | arg1,
|  | Args &&... | args
| ) |  |

Constructs an OSCMessage object with the given address pattern and list of arguments.

Parameters

  ap | the address pattern of the message. This must be a valid OSC address (starting with a forward slash) and may contain OSC wildcard expressions. You can pass in a string literal or a juce String (they will be converted to an OSCAddressPattern automatically).
  arg1 | the first argument of the message.
  args | an optional list of further arguments to add to the message.

## ◆ send()

template<typename... Args>

bool OSCSender::send | ( | const OSCAddressPattern & | address,
|  | Args &&... | args
| ) |  |

Creates a new OSC message with the specified address pattern and list of arguments, and sends it to the target.

Parameters

  address | The OSC address pattern of the message (you can use a string literal here).
  args | The list of arguments for the message.

References OSCSender::send().

## ◆ sendToIPAddress()

template<typename... Args>

bool OSCSender::sendToIPAddress | ( | const String & | targetIPAddress,
|  | int | targetPortNumber,
|  | const OSCAddressPattern & | address,
|  | Args &&... | args
| ) |  |

Creates a new OSC message with the specified address pattern and list of arguments, and sends it to the target.

Parameters

  targetIPAddress | The IP address to send to
  targetPortNumber | The target port number
  address | The OSC address pattern of the message (you can use a string literal here).
  args | The list of arguments for the message.

References OSCSender::sendToIPAddress().